### Struct

# FwupdPlugin StructEfiVolume

since: 1.0

#### Description

    struct FuStructEfiVolume {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_struct_efi_volume_new

No description available.

since: 1.0

###### fu_struct_efi_volume_parse_stream

No description available.

since: 1.0

###### fu_struct_efi_volume_validate_stream

No description available.

since: 1.0

#### Instance methods

###### fu_struct_efi_volume_get_attrs

No description available.

since: 1.0

###### fu_struct_efi_volume_get_checksum

No description available.

since: 1.0

###### fu_struct_efi_volume_get_ext_hdr

No description available.

since: 1.0

###### fu_struct_efi_volume_get_guid

No description available.

since: 1.0

###### fu_struct_efi_volume_get_hdr_len

No description available.

since: 1.0

###### fu_struct_efi_volume_get_length

No description available.

since: 1.0

###### fu_struct_efi_volume_get_zero_vector

No description available.

since: 1.0

###### fu_struct_efi_volume_ref

No description available.

since: 1.0

###### fu_struct_efi_volume_set_attrs

No description available.

since: 1.0

###### fu_struct_efi_volume_set_checksum

No description available.

since: 1.0

###### fu_struct_efi_volume_set_ext_hdr

No description available.

since: 1.0

###### fu_struct_efi_volume_set_guid

No description available.

since: 1.0

###### fu_struct_efi_volume_set_hdr_len

No description available.

since: 1.0

###### fu_struct_efi_volume_set_length

No description available.

since: 1.0

###### fu_struct_efi_volume_set_zero_vector

No description available.

since: 1.0

###### fu_struct_efi_volume_unref

No description available.

since: 1.0